defmodule Nulla.Repo.Migrations.CreateUsers do
  use Ecto.Migration

  def change do
    create table(:users, primary_key: false) do
      add :id, :bigint, primary_key: true
      add :email, :string
      add :password, :string
      add :privateKeyPem, :text
      add :last_active_at, :utc_datetime

      timestamps(type: :utc_datetime)
    end
  end
end
